# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /opt/recipe, last modified Mon May  1 15:26:10 2023
# ------------------------------------------------

package:
  name: pyhmmer
  version: 0.8.0
source:
  sha256: 9d3ddfe2115c5ed089b87599a64a4882608228e51f12a7d7793792f02ef5ba64
  url: https://pypi.io/packages/source/p/pyhmmer/pyhmmer-0.8.0.tar.gz
build:
  number: '0'
  script: '/opt/conda/conda-bld/pyhmmer_1682954944030/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --ignore-installed -vvv '
  string: py37h8902056_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 he00db2b_1
    - binutils_linux-64 2.39 h5fc0e48_13
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_13
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hcc3a1bd_1
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - ca-certificates 2022.12.7 ha878542_0
    - cython 0.29.32 py37hd23a5d3_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.40.0 h753d276_1
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.1.0 hd590300_2
    - pip 23.1.2 pyhd8ed1ab_0
    - psutil 5.9.3 py37h540881e_0
    - python 3.7.12 hf930737_100_cpython
    - python_abi 3.7 3_cp37m
    - readline 8.2 h8228510_1
    - setuptools 67.7.2 pyhd8ed1ab_0
    - sqlite 3.40.0 h4ff8645_1
    - tk 8.6.12 h27826a3_0
    - wheel 0.40.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - libgcc-ng >=12
    - psutil >=5.8
    - python >=3.7,<3.8.0a0
    - python_abi 3.7.* *_cp37m
test:
  imports:
    - pyhmmer
about:
  doc_url: https://pyhmmer.readthedocs.io
  home: https://github.com/althonos/pyhmmer
  license: MIT
  license_file: COPYING
  summary: Cython bindings and Python interface to HMMER3.
extra:
  copy_test_source_files: true
  final: true
  identifiers:
    - DOI:10.5281/zenodo.4270012
  recipe-maintainers:
    - althonos
